# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define _with_repolib 1

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'
%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

#%define repodir %{_javadir}/repository.jboss.com/jboss/remoting/%{version}.%{reltag}-brew
%define repodir %{_javadir}/repository.jboss.com/jboss/remoting/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

# FIXME
%define _without_tests 1

# If you don't want to run the unit tests
# give rpmbuild option '--without tests'

%define with_tests %{!?_without_tests:1}%{?_without_tests:0}
%define without_tests %{?_without_tests:1}%{!?_without_tests:0}

%define section free

%define reltag  SP3
%define namedversion %{version}.%{reltag}

Summary:        JBoss Remoting
URL:            http://labs.jboss.com/portal/index.html?ctrl:id=page.default.info&project=jbossremoting
# svn export https://svn.jboss.org/repos/jbossremoting/remoting2/tags/2.2.3-SP3 JBossRemoting
# Exported revision 6116.
# tar czf jboss-remoting-2.2.3.SP3-src.tar.gz JBossRemoting
Source0:        jboss-remoting-%{namedversion}-src.tar.gz
Source1:        jboss-remoting-component-info.xml
# FIXME We need to update this patch to force IPv4 to be used on Linux
Patch0:         jboss-remoting-1.4.3-build_xml.patch
Patch1:		%{name}-CVE-2010-3862.patch

Name:           jboss-remoting
Version:        2.2.3
Release:        4.SP3.ep1.1%{?dist}
Epoch:          0
License:        LGPL
Group:          Development/Java
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  avalon-framework
BuildRequires:  junit
BuildRequires:  jboss-jrunit
BuildRequires:	batik
BuildRequires:	fop
BuildRequires:	saxon

BuildRequires:  concurrent
BuildRequires:  dom4j
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-logging
BuildRequires:  log4j
BuildRequires:  tomcat5-server-lib >= 0:5.5.16-3jpp
BuildRequires:  tomcat5-servlet-2.4-api
BuildRequires:  jboss-common
#BuildRequires:	jboss4-jmx
#BuildRequires:	jboss4-naming ??? not used?
# Instead, use jbossas
BuildRequires:  jbossas
BuildRequires:  jboss-serialization
BuildRequires:  jgroups >= 0:2.2.9.2
BuildRequires:  jcommon
BuildRequires:  jfreechart
BuildRequires:  spring
BuildRequires:  aopalliance
BuildRequires:  hessian
BuildRequires:  gnu-trove
BuildRequires:  docbook-dtds

Requires:       jpackage-utils >= 0:1.6
Requires:       concurrent
Requires:       dom4j
Requires:       jakarta-commons-httpclient
Requires:       jakarta-commons-logging
Requires:       log4j
# EAP only - JBoss Remoting will be deployed on a server that will have
# all the necessary bits
#Requires:       tomcat5-server-lib >= 0:5.5.17
Requires:       tomcat5-servlet-2.4-api
Requires:       jboss-common
Requires:       jboss-serialization
Requires:       jgroups >= 0:2.2.9.2
Requires:       jcommon
Requires:       jfreechart

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The purpose of JBoss Remoting is to provide a single API for most 
network based invocations and related service that uses pluggable 
transports and data marshallers. The JBoss Remoting API provides 
the ability for making synchronous and asynchronous remote calls, 
push and pull callbacks, and automatic discovery of remoting servers. 
The intention is to allow for the addition of different transports 
to fit different needs, yet still maintain the same API for making 
the remote invocations and only requiring configuration changes, 
not code changes, to fit these different needs.

%if %{with_repolib}
%package	 repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	Development/Libraries/Java

%description	 repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}

%package demo
Summary:        Usage examples for %{name}
Group:          Development/Documentation

%description demo
%{summary}

%prep
%setup -q -n JBossRemoting
%patch1 -b .sav1

chmod -R go=u-w *
for j in $(find . -name "*.jar"); do
    rm $j
done
for j in $(find . -name "*.pdf"); do
    rm $j
done
# use the one from docbook-dtds instead of getting it from the net
catalogfile=`xmlcatalog /usr/share/sgml/docbook/xmlcatalog "-//OASIS//DTD DocBook XML V4.3//EN"`
sed -i -e s:"http\://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd":$catalogfile: docs/Multiplex/en/multiplex.xml

# FIXME
#%patch0 -b .sav

sed -i 's/@VERSION@/%{namedversion}-brew/g' %{SOURCE1}
#sed -i 's/@VERSION@/%{version}-brew/g' %{SOURCE1}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}

%build
#docs/guide/support/support/lib/avalon-framework-cvs-20020806.jar.no
#docs/guide/support/support/lib/batik.jar.no
#docs/guide/support/support/lib/fop.jar.no
#docs/guide/support/support/lib/jai_codec.jar.no
#docs/guide/support/support/lib/jai_core.jar.no
#docs/guide/support/support/lib/rowan-0.1.jar.no
#docs/guide/support/support/lib/saxon-dbxsl-extensions.jar.no
#docs/guide/support/support/lib/saxon.jar.no
pushd docs/guide/support/support/lib
build-jar-repository -s -p . \
avalon-framework \
batik \
fop \
saxon
popd
#lib/apache-commons/lib/commons-httpclient.jar.no
#lib/apache-commons/lib/commons-logging-api.jar.no
pushd lib/apache-commons/lib
ln -sf $(build-classpath commons-httpclient) .
ln -sf $(build-classpath commons-logging-api) .
popd
#lib/apache-log4j/lib/log4j.jar.no
pushd lib/apache-log4j/lib
ln -sf $(build-classpath log4j) .
popd
#lib/apache-tomcat/tomcat-apr.jar.no
#lib/apache-tomcat/tomcat-coyote.jar.no
#lib/apache-tomcat/tomcat-http.jar.no
#lib/apache-tomcat/tomcat-util.jar.no
pushd lib/apache-tomcat
ln -sf $(build-classpath tomcat5/tomcat-apr) .
ln -sf $(build-classpath tomcat5/tomcat-coyote) .
ln -sf $(build-classpath tomcat5/tomcat-http) .
ln -sf $(build-classpath tomcat5/tomcat-util) .
popd
#lib/dom4j/lib/dom4j.jar.no
pushd lib/dom4j/lib
ln -sf $(build-classpath dom4j) .
popd
#lib/jboss/jboss-common.jar.no
#lib/jboss/jboss-jmx.jar.no
#lib/jboss/jboss-serialization.jar.no
#lib/jboss/jnpserver.jar.no
#lib/jboss/jrunit.jar.no
pushd lib/jboss
ln -sf $(build-classpath jboss-common/jboss-common) .
ln -sf $(build-classpath jbossas/jboss-jmx) .
ln -sf $(build-classpath jbossas/jnpserver) .
ln -sf $(build-classpath jboss-jrunit) .
ln -sf $(build-classpath jboss-serialization) .
popd
#lib/jgroups/lib/jgroups.jar.no
pushd lib/jgroups/lib
ln -sf $(build-classpath jgroups) .
popd
#lib/jrunit-libs/lib/jcommon-1.0.0-rc1.jar.no
#lib/jrunit-libs/lib/jfreechart-1.0.0-rc1.jar.no
pushd lib/jrunit-libs/lib
ln -sf $(build-classpath jcommon) .
ln -sf $(build-classpath jfreechart) .
popd
#lib/junit/lib/junit.jar.no
pushd lib/junit/lib
ln -sf $(build-classpath junit) .
popd
#lib/oswego-concurrent/lib/concurrent.jar.no
pushd lib/oswego-concurrent/lib
ln -sf $(build-classpath concurrent) .
popd
#lib/spring/aopalliance/aopalliance.jar.no
pushd lib/spring/aopalliance
ln -sf $(build-classpath aopalliance) .
popd
#lib/spring/spring*.jar.no
pushd lib/spring
build-jar-repository . spring
popd
#lib/spring/caucho/hessian-2.1.12.jar.no
pushd lib/spring/caucho
ln -sf $(build-classpath hessian) .
popd
#lib/sun-servlet/lib/servlet-api.jar.no
pushd lib/sun-servlet/lib
ln -sf $(build-classpath servletapi5) servlet-api.jar
popd
#lib/trove/lib/trove.jar.no
pushd lib/trove/lib
ln -sf $(build-classpath gnu-trove) trove.jar
popd

%if %{with_tests}
export ANT_OPTS="-Djava.net.preferIPv4Stack=true"
ant -Dcompile.source="1.4" -Dcompile.target="1.4" jars dist.jars javadoc tests docs.generate
%else
ant -Dcompile.source="1.4" -Dcompile.target="1.4" jars dist.jars javadoc docs.generate
%endif

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 0644 output/lib/jboss-remoting.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-bisocket-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-bisocket-client-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-bisocket.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-bisocket-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-core.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-detection.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-detection-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-http-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-http-client-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-http.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-http-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-multiplex.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-multiplex-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-rmi.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-rmi-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-samples.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-samples-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-serialization.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-serialization-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-servlet.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-servlet-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-socket-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-socket-client-%{version}.jar
install -p -m 0644 output/lib/jboss-remoting-socket.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-socket-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# etc
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr output/etc   $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
rm -fr $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/lib
cp -pr output/lib/servlet-invoker.war   $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/guide
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/multiplex
cp -a docs/*.pdf docs/*.sxd docs/*.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
cp -a docs/guide/build/en/html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/guide/
cp -a docs/Multiplex/build/en/html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/multiplex/

# repolib
%if %{with_repolib}
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
    install -m 755 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-bisocket-client.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-bisocket.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-detection.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-http-client.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-http.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-multiplex.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-rmi.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-samples.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-serialization.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-servlet.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-socket-client.jar $RPM_BUILD_ROOT%{repodirlib}
	cp $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-socket.jar $RPM_BUILD_ROOT%{repodirlib}
	cp -r $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/servlet-invoker.war $RPM_BUILD_ROOT%{repodirlib}
        # Add the source again for some eclipse jboss project use
        cp output/lib/jboss-remoting-src.jar $RPM_BUILD_ROOT%{repodirlib}/jboss-remoting-src.jar
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_javadir}
%{_javadir}/%{name}/*jar
%{_datadir}/%{name}-%{version}/etc
%{_datadir}/%{name}-%{version}/servlet-invoker.war

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Mon Dec 06 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.2.3-4.SP3.1
- Add CVE-2010-3862 patch

* Wed Sep 29 2010 Martha Benitez <mbenitez@redhat.com> 0:2.2.3-4.SP3
- Upgrade to 2.2.3.SP3

* Thu Mar 11 2010 Martha Benitez <mbenitez@redhat.com> 0:2.2.3-3.SP2
- Upgrade to 2.2.3.SP2

* Fri Oct 23 2009 Martha Benitez <mbenitez@redhat.com> 0:2.2.3-3.SP1
- Rebuild with correct release number

* Tue Oct 20 2009 Martha Benitez <mbenitez@redhat.com> 0:2.2.3-1.SP1
- Upgrade to 2.2.3.SP1
- Change @VERSION@ to namedversion in component-info.xml

* Mon May 25 2009 Permaine Cheung <pcheung@redhat.com> 0:2.2.3-2
- Fix repodir location
- Update comment for Source0
- Build the dist.jars target, and package those jars

* Fri May 22 2009 Martha Benitez <mbenitez@redhat.com> 0:2.2.3-1
- Upgrade to 2.2.3

* Tue Jan 06 2009 Permaine Cheung <pcheung@redhat.com> 0:2.2.2-3.SP11.0jpp.ep1.1
- Upgrade to 2.2.2-SP11

* Tue Oct 07 2008 Permaine Cheung <pcheung@redhat.com> 0:2.2.2-3.SP10.0jpp.ep1.1
- Remove jboss-remoting zip from repolib package

* Fri Oct 03 2008 Permaine Cheung <pcheung@redhat.com> 0:2.2.2-3.SP10.0jpp.ep1.1
- Upgrade to 2.2.2-SP10

* Fri Aug 15 2008 Permaine Cheung <pcheung@redhat.com> 0:2.2.2-3.SP9.0jpp.ep1.1
- Fix building of multiplex.pdf by replacing the DTD file with the system one

* Wed Jul 30 2008 Permaine Cheung <pcheung@redhat.com> 0:2.2.2-3.SP9.0jpp.ep1.1
- Upgrade to 2.2.2-SP9

* Tue Jun 24 2008 David Walluck <dwalluck@redhat.com> 0:2.2.2-3.SP8.0jpp.ep1.1
- 2.2.2-SP8

* Wed Apr 02 2008 David Walluck <dwalluck@redhat.com> 0:2.2.2-3.SP7.0jpp.ep1.3
- fix location of manual

* Wed Apr 02 2008 David Walluck <dwalluck@redhat.com> 0:2.2.2-3.SP7.0jpp.ep1.2
- fix install of documentation

* Sat Mar 29 2008 David Walluck <dwalluck@redhat.com> 0:2.2.2-3.SP7.0jpp.ep1.1
- 2.2.2-SP7

* Wed Mar 26 2008 David Walluck <dwalluck@redhat.com> 0:2.2.2-3.SP6.0jpp.ep1.1
- 2.2.2-SP6
- add jboss-remoting zip to repolib package
- build documentation (without images due to missing JAI)

* Wed Mar 12 2008 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-3.SP5.0jpp.ep1.1
- Upgrade to SP5

* Wed Dec 12 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-3.SP4.0jpp.ep1.1
- Upgrade to SP4

* Thu Dec 06 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-3.SP3.0jpp.ep1.1
- Upgrade to SP3

* Wed Nov 28 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-2.GA_CP02.0jpp.ep1.2
- Rebuild with JDK 1.4

* Wed Nov 28 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-2.GA_CP02.0jpp.ep1.1
- Upgrade to CP02

* Wed Oct 24 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-2.GA_CP01.0jpp.ep1.2
- Leave only the main sources in the lib directory src JAR
- Add it as an artifact

* Wed Oct 24 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-2.GA_CP01.0jpp.ep1.1
- Upgrade to GA_CP01

* Tue Oct 02 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1.SP1.0jpp.ep1.2
- Add patch for JBREM-811 (needed by JBM)

* Fri Sep 14 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1.SP1.0jpp.ep1.1
- Upgrade to SP1
- Build with JDK 1.5 due to dependency on jbossas (which is built with JDK 1.5)

* Fri Sep 07 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp.ep1.4
- Relax run-time dependencies

* Thu Aug 30 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp.ep1.3
- Fix Eclipse source JAR

* Wed Aug 29 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp.ep1.2
- Remove unversioned javadoc dir
- Clean up old remoting JARs in etc/lib subdir and remove that dir

* Fri Aug 24 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp.ep1.1
- Upgrade to 2.2.2.GA

* Wed Aug 15 2007 Deepak Bhole <dbhole@redhat.com> 0:2.2.0.4-1.CP02.1jpp.ep1.3
- Added compatible version 1.0.3.GA-brew for jboss-serialization

* Wed Aug 15 2007 Deepak Bhole <dbhole@redhat.com> 0:2.2.0.4-1.CP02.1jpp.ep1.2
- Fixed incorrect version in component info
- Fixed file/dir ownerships

* Tue Jul 24 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.0.4-1.CP02.1jpp.ep1.1
- Merge with upstream for upgrade

* Tue Jul 24 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.0.4-1.CP02.1jpp
- Upgrade to 2.2.0.SP4_CP02
- Fix release tag to new guidelines

* Fri Jun 22 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.0.4.1-1jpp.ep1.2
- Add missing quote to component-info.xml
- Add -src file under lib for some jboss eclipse project use

* Fri Jun 22 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.0.4.1-1jpp.ep1.1
- Merge with upstream for upgrade
- Add repolib subpackage
- Do not run the tests this time (FIXME)

* Fri Jun 22 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.0.4.1-1jpp
- Upgrade to 2.2.0.SP4_CP01

* Thu Mar 15 2007 Ralph Apel <r.apel at r-apel.de> 0:1.4.1-3jpp
- (B)R jcommon0, jfreechart0

* Tue Jul 11 2006 Fernando Nasser <fnasser@redhat.com> 0:1.4.3-2jpp_1rh
- Merge with upstream
- Do not run the tests this time (FIXME)

* Mon Jun 26 2006 Ralph Apel <r.apel at r-apel.de> 0:1.4.3-2jpp
- Fix (Build)Requires:
- Set -Djava.net.preferIPv4Stack=true everywhere 
- Fix manual generation and subpackage

* Mon Jun 12 2006 Ralph Apel <r.apel at r-apel.de> 0:1.4.3-1jpp
- First JPP-5.0 release

* Wed May 31 2006 Ralph Apel <r.apel at r-apel.de> 0:1.4.1-2jpp
- add -Djava.net.preferIPv4Stack=true for all JVMs
- fix bad lib replacement for tomcat5 libs

* Fri May 26 2006 Fernando Nasser <fnasser@redhat.com> 0:1.4.1-1jpp_2rh
- Obsolete old jboss4-remoting package
- Do not run the tests this time

* Fri May 26 2006 Fernando Nasser <fnasser@redhat.com> 0:1.4.1-1jpp_1rh
- First Red Hat build

* Wed May 03 2006 Ralph Apel <r.apel at r-apel.de> 0:1.4.1-1jpp
- First JPP-1.7 release
